<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('diasdeatenciones', function (Blueprint $table) {
            $table->id();
            $table->timestamps();
            $table->foreignId('agenda_id')
                  ->constrained('agendas')
                  ->onDelete('cascade');
            $table->foreignId('dia_id')->nullable()
                  ->constrained('dias')
                  ->onDelete('cascade');
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('diasdeatenciones');
    }
};
